
-- leave me
	local actor = ACTOR_preload()
-- leave me

	actor[cp_actor_name]			= "player_missile_1"
	actor[cp_model_dir]				= "player"
	actor[cp_model_name]			= "player-goomissile"

	actor[cp_actor_type]			= cat_bullet + cat_player + cat_beastie

	actor[cp_hit_power]				= 0.0
	actor[cp_launch_scale_min]		= 100.0
	actor[cp_player_bullet_rate]	= 0.05

	actor[cp_in_beastie_count]		= 0

	actor[cp_target_stop_dist]		= 3.0

	actor[cp_move_type]					= cmt_track_start

	-- movement
	actor[cp_move_speed_min]		= 2.0
	actor[cp_move_speed_max]		= 2.0
	actor[cp_move_acceleration]		= 100.0
	actor[cp_move_deceleration]		= 10.0
	actor[cp_move_inertia_accn]		= 0.0
	actor[cp_move_inertia_decn]		= 0.0

	actor[cp_weight]				= 1.0

	actor[cp_difficulty_adjust_speed]	= 0.0

-- leave me
	c_preload_model( actor )
-- leave me

	c_set_random_anim( "spin", 100.0, 100.0, 0.0, 0.0 )
	c_add_particle_to_anim( "spin", "exaust", "player-goomissile-trail" )

	local seq = { 0.0 }
	c_set_use_explosion_for( "bye_bye", "player-goomissile-4", exp_no_align, 0.0, -100.0, 1800.0, 1800.0, seq )
	c_add_particle_to_explosion( "player-goomissile-4", "explode", "", "player-goomissile-exp" )
	c_add_particle_to_explosion( "player-goomissile-4", "explode", "", "player-goomissile-exp2" )
	c_add_sound_to_anim( "byebye", "player_explosion", 1.0 )

--	c_add_trail_to_actor( "goo-exp-part.bmp", "", "bye_bye", 10000.0, 1000.0, 9.0, 100, 200, 0, 50 )

	-- default for this beastie

	-- new state
	-- set new stuff
	actor[cp_move_speed_min]		= 0.8
	actor[cp_move_speed_max]		= 0.8
	actor[cp_move_acceleration]		= 0.1
	actor[cp_move_deceleration]		= 1.0
	actor[cp_move_inertia_accn]		= 0.95
	actor[cp_move_inertia_decn]		= 0.95

	actor[cp_turn_speed_still]		= 5.0
	actor[cp_turn_acceleration_still]	= 2.0
	actor[cp_turn_inertia_still]		= 0.1
	actor[cp_turn_speed_moving]		= 5.0
	actor[cp_turn_acceleration_moving]	= 2.0
	actor[cp_turn_inertia_moving]		= 0.1

	-- send out
	c_set_trigger_state( "my_time_alive", 0.1, 0.1, actor )
	-- new state

